public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/php-sebastian-global-state8] f43: v8.0.3
@ 2026-06-03 6:46 Remi Collet
0 siblings, 0 replies; only message in thread
From: Remi Collet @ 2026-06-03 6:46 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/php-sebastian-global-state8
Branch : f43
Commit : 41ba60819ec49fa1250d4483adab0ffb8d8ea85b
Author : Remi Collet <remi@fedoraproject.org>
Date : 2026-06-03T08:46:50+02:00
Stats : +24/-30 in 4 file(s)
URL : https://src.fedoraproject.org/rpms/php-sebastian-global-state8/c/41ba60819ec49fa1250d4483adab0ffb8d8ea85b?branch=f43
Log:
v8.0.3
(cherry picked from commit b9e96ca342710fa071729948f5145a0f2683b508)
---
diff --git a/.gitignore b/.gitignore
index d9a9f78..7b1b034 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,4 @@
/php-sebastian-global-state8-8.0.0-570a2ae.tgz
/php-sebastian-global-state8-8.0.1-912dd56.tgz
/php-sebastian-global-state8-8.0.2-ef13771.tgz
+/php-sebastian-global-state8-8.0.3.tgz
diff --git a/makesrc.sh b/makesrc.sh
index b959795..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,35 +1,27 @@
#!/bin/bash
NAME=$(basename $PWD)
-DATE=$(sed -n '/^%global gh_date/{s/.* //;p}' $NAME.spec)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-DATE=$(date -d "$DATE -4 days" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
echo "Cloning..."
- rm -rf $PROJECT-$COMMIT
- git clone --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || exit 1
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
- echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit1
- cp composer.json ../composer.json
- popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
echo "Done."
fi
diff --git a/php-sebastian-global-state8.spec b/php-sebastian-global-state8.spec
index 26376a3..4e9deec 100644
--- a/php-sebastian-global-state8.spec
+++ b/php-sebastian-global-state8.spec
@@ -1,6 +1,6 @@
# spec file for php-sebastian-global-state8
#
-# SPDX-FileCopyrightText: Copyright 2014-2025 Remi Collet
+# SPDX-FileCopyrightText: Copyright 2014-2026 Remi Collet
# SPDX-License-Identifier: CECILL-2.1
# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
#
@@ -9,11 +9,8 @@
%bcond_without tests
-%global gh_commit ef1377171613d09edd25b7816f05be8313f9115d
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sebastianbergmann
%global gh_project global-state
-%global gh_date 2025-08-29
# Packagist
%global pk_vendor sebastian
%global pk_project %{gh_project}
@@ -24,14 +21,14 @@
%global php_home %{_datadir}/php
Name: php-%{pk_vendor}-%{pk_project}%{major}
-Version: 8.0.2
+Version: 8.0.3
Release: 1%{?dist}
Summary: Snapshotting of global state, version %{major}
License: BSD-3-Clause
URL: https://github.com/%{gh_owner}/%{gh_project}
# run makesrc.sh to create a git snapshot with test suite
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
BuildArch: noarch
@@ -40,21 +37,21 @@ BuildRequires: php(language) >= 8.3
BuildRequires: php-fedora-autoloader-devel >= 1.0.0
%if %{with tests}
BuildRequires: (php-composer(sebastian/object-reflector) >= 5.0 with php-composer(sebastian/object-reflector) < 6)
-BuildRequires: (php-composer(sebastian/recursion-context) >= 7.0 with php-composer(sebastian/recursion-context) < 8)
+BuildRequires: (php-composer(sebastian/recursion-context) >= 7.0.1 with php-composer(sebastian/recursion-context) < 8)
# from composer.json, "require-dev": {
# "ext-dom": "*",
-# "phpunit/phpunit": "^12.0"
+# "phpunit/phpunit": "^12.5.28"
BuildRequires: php-dom
-BuildRequires: phpunit12
+BuildRequires: phpunit12 >= 12.5.28
%endif
# from composer.json, "require": {
# "php": ">=8.3",
# "sebastian/object-reflector": "^5.0",
-# "sebastian/recursion-context": "^7.0"
+# "sebastian/recursion-context": "^7.0.1"
Requires: php(language) >= 8.3
Requires: (php-composer(sebastian/object-reflector) >= 5.0 with php-composer(sebastian/object-reflector) < 6)
-Requires: (php-composer(sebastian/recursion-context) >= 7.0 with php-composer(sebastian/recursion-context) < 8)
+Requires: (php-composer(sebastian/recursion-context) >= 7.0.1 with php-composer(sebastian/recursion-context) < 8)
# from phpcompatinfo report for version 6.0.0
# Autoloader
Requires: php-composer(fedora/autoloader)
@@ -72,7 +69,7 @@ Autoloader: %{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%build
@@ -130,6 +127,10 @@ exit $ret
%changelog
+* Tue Jun 2 2026 Remi Collet <remi@remirepo.net> - 8.0.3-1
+- update to 8.0.3
+- raise dependency on sebastian/recursion-context 7.0.1
+
* Fri Aug 29 2025 Remi Collet <remi@remirepo.net> - 8.0.2-1
- update to 8.0.2
diff --git a/sources b/sources
index 7d9fff2..a97cf21 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (php-sebastian-global-state8-8.0.2-ef13771.tgz) = 1d0deba5a058474d8a64ea4d2eb1386eeb59705c392e4fabe250de87c13c0ff5b598359bd9ff89ac6a877498e2c08fe34ba44aa0877b5530713823219474550b
+SHA512 (php-sebastian-global-state8-8.0.3.tgz) = 6d28a43be1d549ce8fed5843379d9d10430c12b3beff411bbc35de2d8e8044db253acaca6949d06f6c6625d0653a7341ea005b1eae4b95e83f8b4733459ce16a
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-06-03 6:46 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-06-03 6:46 [rpms/php-sebastian-global-state8] f43: v8.0.3 Remi Collet
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox